Teams
GET
/organizations/{organizationId}/teams
List the teams inside an organization.
Queryparameters
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.name
string
verplicht
results.description
string
verplicht
results.visibility
string
verplicht
Possible values: public, private
results.accessibility
string
verplicht
Possible values: open, request-to-join, invite-only
results.activeMemberCount
integer
verplicht
results.pendingMemberCount
integer
verplicht
results.featuredMembers
array of object
verplicht
Onderliggende attributen tonen
results.featuredMembers.type
string
verplicht
Possible values: user
results.featuredMembers.id
string
verplicht
results.roleRefs
array of object
The list of roles assigned to the team
Onderliggende attributen tonen
results.roleRefs.id
string
verplicht
results.roleRefs.type
string
verplicht
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/teams
Create a new team inside the organization.
Verzoek-payload
name
string
verplicht
description
string
verplicht
roleRefs
array of object
The list of roles assigned to the team
Onderliggende parameters tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwoord-payload
id
string
verplicht
name
string
verplicht
description
string
verplicht
visibility
string
verplicht
Possible values: public, private
accessibility
string
verplicht
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
verplicht
pendingMemberCount
integer
verplicht
featuredMembers
array of object
verplicht
Onderliggende attributen tonen
featuredMembers.type
string
verplicht
Possible values: user
featuredMembers.id
string
verplicht
roleRefs
array of object
The list of roles assigned to the team
Onderliggende attributen tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/teams/{teamId}
Retrieve a single team.
Antwoord-payload
id
string
verplicht
name
string
verplicht
description
string
verplicht
visibility
string
verplicht
Possible values: public, private
accessibility
string
verplicht
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
verplicht
pendingMemberCount
integer
verplicht
featuredMembers
array of object
verplicht
Onderliggende attributen tonen
featuredMembers.type
string
verplicht
Possible values: user
featuredMembers.id
string
verplicht
roleRefs
array of object
The list of roles assigned to the team
Onderliggende attributen tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/teams/{teamId}
Delete a team from an organization.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/teams/{teamId}
Update a team's details.
Verzoek-payload
name
string
description
string
roleRefs
array of object
The list of roles assigned to the team
Onderliggende parameters tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwoord-payload
id
string
verplicht
name
string
verplicht
description
string
verplicht
visibility
string
verplicht
Possible values: public, private
accessibility
string
verplicht
Possible values: open, request-to-join, invite-only
activeMemberCount
integer
verplicht
pendingMemberCount
integer
verplicht
featuredMembers
array of object
verplicht
Onderliggende attributen tonen
featuredMembers.type
string
verplicht
Possible values: user
featuredMembers.id
string
verplicht
roleRefs
array of object
The list of roles assigned to the team
Onderliggende attributen tonen
roleRefs.id
string
verplicht
roleRefs.type
string
verplicht
Possible values: organization, managed
roleRefs.workspaces
array of string
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'